It is currently Mon Sep 28, 2020 7:17 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 26 posts ]  Go to page 1, 2  Next
Author Message
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Thu May 13, 2010 1:14 pm 
Offline
Enthusiast
Enthusiast

Joined: Sat Sep 03, 2005 4:07 pm
Posts: 103
In this case, it must force the installation packages using the karmic:

download the following packages:

libmozjs0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb
libxul-common_1.8.1.16+nobinonly-0ubuntu1_all.deb
libxul0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb

Type the following commands:

sudo dpkg -i libxul-common_1.8.1.16+nobinonly-0ubuntu1_all.deb
sudo dpkg -i libmozjs0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb
sudo dpkg -i libxul0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb

I just tested and it works very well in ubuntu 10.04...

8)

_________________
*** Excuse my bad English, I uses has translating program ***


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Thu May 13, 2010 3:18 pm 
Offline
User
User

Joined: Wed Jun 03, 2009 9:04 pm
Posts: 46
Coolman wrote:
In this case, it must force the installation packages using the karmic:

download the following packages:

libmozjs0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb
libxul-common_1.8.1.16+nobinonly-0ubuntu1_all.deb
libxul0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb

Type the following commands:

sudo dpkg -i libxul-common_1.8.1.16+nobinonly-0ubuntu1_all.deb
sudo dpkg -i libmozjs0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb
sudo dpkg -i libxul0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb

I just tested and it works very well in ubuntu 10.04...

8)


For the moment, let's assume this works. The problem, as I see it, is that this is a VERY old version of XULRUNNER. It is not meant to be used any longer... it is obsolete. The current version is 1.9.2.x and it does NOT include the necessary files mentioned above. If the developers of PureBasic want to claim that WebGadget is a current and functioning component of PB, then it seems to me that it is their obligation to make sure that it performs correctly with currently available and necessary libraries. If libgtkembedmoz.so is no longer current and available, then it is their responsibility to inform us which current libraries will provide the necessary functionality for WebGadget to operate correctly. I feel like we have all been left out in the cold, alone, to rummage around in the garbage heaps of obsolete library repositories so we can solve their problem for them. What the developers need to do is start with a fresh install of Ubuntu, or any other CURRENT version of Linux, so they can discover the frustration that we are experiencing.


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Thu May 13, 2010 4:15 pm 
Offline
Enthusiast
Enthusiast

Joined: Sat Sep 03, 2005 4:07 pm
Posts: 103
I understand your frustration, but ubuntu 10.04 just released, this is not the fault of the author of purebasic if some packages have been removed and impair the operation of language, the problem will probably be resolved in the next release purebasic a day ...

pending and not be blocked, use the solution above ...

8)

_________________
*** Excuse my bad English, I uses has translating program ***


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Tue Aug 03, 2010 10:22 pm 
Offline
Addict
Addict
User avatar

Joined: Tue Aug 11, 2009 1:56 pm
Posts: 858
Location: Essen (Germany)
Hello,

because of a current question about the WebGadget I found that I too miss the libgtkembedmoz.so totally on my system. It's Suse 11.1 / FF 3.0 and so the above given hints won't help.

I've searched long but couldn't find this lib. I did find a page where you can search for pakages including certain files (http://rpm.pbone.net/index.php3/stat/2/simple/2 ), but wouldn't know which one to install. I've tried NVU but the installation was aborted twice and I don't want to mess around here. (should I install XULRunner 1.8.1 although version 1.9 is on the system alright? )

Does anybody know how to get hold of this lib and install it?

greetings ~ Vera

_________________
Two growing code-collections: WinApi-Lib by RSBasic ~ LinuxAPI-Lib by Omi

Missing a download-file on the forums? ~ check out this backup page.


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Thu Aug 05, 2010 5:50 pm 
Offline
Addict
Addict
User avatar

Joined: Thu Apr 21, 2005 2:38 pm
Posts: 1763
Location: Germany
Vera wrote:
It's Suse 11.1 / FF 3.0 and so the above given hints won't help.

Have you tried my link I already posted in this thread in response to ts-soft's posting?
There I report for OpenSuse 11.1 that installing the old package mozilla-xulrunner-181
in addition to the 1.9.x package solves this problem and tmjuk even confirmed that my
solution worked for him...


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Thu Aug 05, 2010 6:57 pm 
Offline
User
User

Joined: Wed Jun 03, 2009 9:04 pm
Posts: 46
Shardik wrote:
Vera wrote:
It's Suse 11.1 / FF 3.0 and so the above given hints won't help.

Have you tried my link I already posted in this thread in response to ts-soft's posting?
There I report for OpenSuse 11.1 that installing the old package mozilla-xulrunner-181
in addition to the 1.9.x package solves this problem and tmjuk even confirmed that my
solution worked for him...

See... this is a lingering problem. It's not going to go away until the developers address it directly as I stated above. It's NOT an Ubuntu 10.04 problem. It's an issue for every new Linux installation that does not already have the old libraries in place. They no longer exist.


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Thu Aug 05, 2010 10:45 pm 
Offline
Addict
Addict
User avatar

Joined: Tue Aug 11, 2009 1:56 pm
Posts: 858
Location: Essen (Germany)
Hello Shardik,

thanks for your further hints. I didn't realise those links concerned Suse.
Well, I read all 3 threads several times and followed the offering by tmjuk with his zipped xulrunner-version - but it doesn't work (neither with 4.50, 4.41 nor 4.31). I also tried long time if other paths for 'MozillaPfad$' would be needed and also in combination with local html-files.

So two options are left over:
1 - this libgtkembedmoz.so won't work together with FF 3.01
2 - it may work if xulrunner is installed properly

well, and there again I wouldn't know which out of maybe 20 (1.8.1) versions I can find here* I should choose.
Could you please recommend one to me or even another place to find one.

* http://rpm.pbone.net/index.php3?stat=3&limit=2&srodzaj=1&dl=40&search=libgtkembedmoz.so&dist[]=46&dist[]=67&dist[]=48&dist[]=33&dist[]=0&field[]=1&field[]=2

greetings ~ Vera

_________________
Two growing code-collections: WinApi-Lib by RSBasic ~ LinuxAPI-Lib by Omi

Missing a download-file on the forums? ~ check out this backup page.


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Fri Aug 06, 2010 12:05 pm 
Offline
Addict
Addict
User avatar

Joined: Thu Apr 21, 2005 2:38 pm
Posts: 1763
Location: Germany
Hello Vera,

did you try to start Yast2 and then to choose "Software installieren oder löschen" (Install or delete software)?
Then in the search field enter "xulrunner" and all available xulrunner packages should be listed. I simply made
a check mark in front of "mozilla-xulrunner181" (mozilla-xulrunner190 was already selected) and installed this
package. My OpenSuse 11.1 installation was out of the box without defining additional package sources than
those predefined. My source code example from the above link works like a charme. I just tested it again with
PB 4.41...


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Fri Aug 06, 2010 4:24 pm 
Offline
Addict
Addict
User avatar

Joined: Tue Aug 11, 2009 1:56 pm
Posts: 858
Location: Essen (Germany)
Dear Shardik,
thanks - SUCCESS Image

I didn't know it can be that easy via Yast if you know what to search for - and this way it's much trustworthier than to grab something for the wide net.

After installing (XULRunner 1.8.1.19 & dev-edition) your above posted code worked straight away. For both online and local html. In my case too both WebGadgetPath parameters are needed otherwise the html wouldn't show.

small tip: CreateGadgetList() will be alarmed as deprecated ;)

thanks again - and now I can answer tmjuks question as well - he's already waiting for 10 months :wink:

cheers ~ Vera

_________________
Two growing code-collections: WinApi-Lib by RSBasic ~ LinuxAPI-Lib by Omi

Missing a download-file on the forums? ~ check out this backup page.


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Fri Aug 06, 2010 6:11 pm 
Offline
Addict
Addict
User avatar

Joined: Thu Apr 21, 2005 2:38 pm
Posts: 1763
Location: Germany
Dear Vera,

I am glad it finally worked for you. :)

Vera wrote:
small tip: CreateGadgetList() will be alarmed as deprecated ;)

It seems that you tried my older example for OpenSuse 11.0 because my code example in
the linked posting for OpenSuse 11.1 didn't contain the CreateGadgetList() anymore... :wink:
Shardik wrote:
Danach funktioniert mein in einem früheren Thread schon einmal für OpenSUSE 11.0
gezeigtes Beispiel ohne Änderung (Na gut, ich habe das dort noch enthaltene
CreateGadgetList() entfernt :wink:):


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Sun Aug 08, 2010 11:27 am 
Offline
Enthusiast
Enthusiast
User avatar

Joined: Thu Dec 07, 2006 8:52 am
Posts: 106
Location: New Zealand
Coolman wrote:
In this case, it must force the installation packages using the karmic:

download the following packages:

libmozjs0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb
libxul-common_1.8.1.16+nobinonly-0ubuntu1_all.deb
libxul0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb

Type the following commands:

sudo dpkg -i libxul-common_1.8.1.16+nobinonly-0ubuntu1_all.deb
sudo dpkg -i libmozjs0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb
sudo dpkg -i libxul0d_1.8.1.16+nobinonly-0ubuntu1_i386.deb

I just tested and it works very well in ubuntu 10.04...

8)


Thanks for that !!! all working here now :D


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Tue Nov 30, 2010 7:24 pm 
Offline
New User
New User
User avatar

Joined: Tue Nov 30, 2010 7:09 pm
Posts: 2
Hello. I'm working on openSUSE 11.3 and cannot find any correct libgtkembedmoz.so to use webgadget... I tried different packages (komposer, seamonkey, thunderbird etc), but it still not works. What package still contain correct lib? Does anybody know?
Sorry for my English)


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Thu Dec 02, 2010 5:22 pm 
Offline
Addict
Addict
User avatar

Joined: Tue Aug 11, 2009 1:56 pm
Posts: 858
Location: Essen (Germany)
Hello Lifar,

Wellcome on board :)

oh - I also had several trials before I got it working. Like I wrote above I had to use YAST2 to install XULRunner 1.8.1.19 & dev-edition (don't miss to check dev-edition as well).

And afterwards you need to apply the path 2 times, like Shardik found out:
WebGadgetPath("/usr/lib/xulrunner/libgtkembedmoz.so", "/usr/lib/xulrunner")
see here

I hope this works for you as well.

greetings ~ Vera

_________________
Two growing code-collections: WinApi-Lib by RSBasic ~ LinuxAPI-Lib by Omi

Missing a download-file on the forums? ~ check out this backup page.


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget & libgtkembedmoz?
PostPosted: Thu Dec 02, 2010 6:52 pm 
Offline
New User
New User
User avatar

Joined: Tue Nov 30, 2010 7:09 pm
Posts: 2
Thanks! But there is no xulrunner-1.8.1 package... I've found it only in openSuse Build Service. Now example is running properly. Problem solved.


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 26 posts ]  Go to page 1, 2  Next

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  

 


Powered by phpBB © 2008 phpBB Group
subSilver+ theme by Canver Software, sponsor Sanal Modifiye